package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 废水风险评估对象 t_waste_water
 *
 * @author ruoyi
 * @date 2020-12-08
 */
public class TWasteWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 污水名称 */
    @Excel(name = "污水名称")
    private String waterName;

    /** 流量 */
    @Excel(name = "流量")
    private String flow;

    /** 水源 */
    @Excel(name = "水源")
    private String origin;

    /** 污水处理厂 */
    @Excel(name = "污水处理厂")
    private String wwtp;

    /** 排放至 */
    @Excel(name = "排放至")
    private String dischargeTo;

    /** 严重 */
    @Excel(name = "严重")
    private String severity;

    /** 可能性 */
    @Excel(name = "可能性")
    private String probability;

    /** 风险 */
    @Excel(name = "风险")
    private String risk;

    /** 现有防护措施 */
    @Excel(name = "现有防护措施")
    private String existsMeasures;

    /** 残余风险 */
    @Excel(name = "残余风险")
    private String residualRisk;

    /** 进一步措施 */
    @Excel(name = "进一步措施")
    private String furtherMeasures;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deadline;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")

    private String remarks;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setFlow(String flow)
    {
        this.flow = flow;
    }

    public String getFlow()
    {
        return flow;
    }
    public void setWaterName(String waterName)
    {
        this.waterName = waterName;
    }

    public String getWaterName()
    {
        return waterName;
    }
    public void setOrigin(String origin)
    {
        this.origin = origin;
    }

    public String getOrigin()
    {
        return origin;
    }
    public void setWwtp(String wwtp)
    {
        this.wwtp = wwtp;
    }

    public String getWwtp()
    {
        return wwtp;
    }
    public void setDischargeTo(String dischargeTo)
    {
        this.dischargeTo = dischargeTo;
    }

    public String getDischargeTo()
    {
        return dischargeTo;
    }
    public void setSeverity(String severity)
    {
        this.severity = severity;
    }

    public String getSeverity()
    {
        return severity;
    }
    public void setProbability(String probability)
    {
        this.probability = probability;
    }

    public String getProbability()
    {
        return probability;
    }
    public void setRisk(String risk)
    {
        this.risk = risk;
    }

    public String getRisk()
    {
        return risk;
    }
    public void setResidualRisk(String residualRisk)
    {
        this.residualRisk = residualRisk;
    }

    public String getResidualRisk()
    {
        return residualRisk;
    }
    public void setExistsMeasures(String existsMeasures)
    {
        this.existsMeasures = existsMeasures;
    }

    public String getExistsMeasures()
    {
        return existsMeasures;
    }
    public void setFurtherMeasures(String furtherMeasures)
    {
        this.furtherMeasures = furtherMeasures;
    }

    public String getFurtherMeasures()
    {
        return furtherMeasures;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setDeadline(Date deadline)
    {
        this.deadline = deadline;
    }

    public Date getDeadline()
    {
        return deadline;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("flow", getFlow())
            .append("waterName", getWaterName())
            .append("origin", getOrigin())
            .append("wwtp", getWwtp())
            .append("dischargeTo", getDischargeTo())
            .append("severity", getSeverity())
            .append("probability", getProbability())
            .append("risk", getRisk())
            .append("residualRisk", getResidualRisk())
            .append("existsMeasures", getExistsMeasures())
            .append("furtherMeasures", getFurtherMeasures())
            .append("owner", getOwner())
            .append("deadline", getDeadline())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
